
  /**
   * Populate the list with the data from the request
   * (Could be done in a generic manner depending of the XML...)
   */
  function deptProcessor() { 
    var postLoadResource = this;
    var list = document.getElementById("dept");	
    clearList(list);
    addElementToList(list, "--", "Choose a Department" );
    var items = postLoadResource.req.responseXML.getElementsByTagName("ROW");
    for (var i=0; i<items.length; i++) {
      var node = items[i];
      var deptno = node.getElementsByTagName("DEPTNO")[0].firstChild.nodeValue;
      var dname = node.getElementsByTagName("DNAME")[0].firstChild.nodeValue;
      var loc = node.getElementsByTagName("LOC")[0].firstChild.nodeValue;
      addElementToList(list, deptno, dname  );
    }//for
  }// deptProcessor

  /**
   * Populate the list with the data from the request
   * (Could be done in a generic manner depending of the XML...)
   */

  function empProcessor() {
    var postLoadResource = this;
    var list = document.getElementById("emp");	
    var items = postLoadResource.req.responseXML.getElementsByTagName("ROW");
    clearList(list);
    if (items.length > 0) {
      for (var i=0; i<items.length; i++) {
        var node = items[i];
        var empno = node.getElementsByTagName("EMPNO")[0].firstChild.nodeValue;
        var ename = node.getElementsByTagName("ENAME")[0].firstChild.nodeValue;
        addElementToList(list, empno, ename  );
      }//for
    }
    else
    {
     alert("No Employee for this department");
    }
  }// empProcessor

  /**
   * Load the Employee data in the select object
   * (Could be done in a generic manner depending of the XML...)
   */
 
 
  function loadEmployees()  {
    var deptList = document.getElementById("dept");	
    clearList(document.getElementById("emp"));
    // for each department there is a file called emp_<number of department> to hold the employees
    var file = "emp_"+ deptList.value +".xml"
    // define a new PostLoadResource
    var empPLR = addPostLoadResource(null, file, false, 'POSTLOAD_EMP_LOADER', empProcessor);
    // and immediately kick it off
    postLoadSingleResource(empPLR);
  }


  /**
   * remove the content of te list
   */
  function clearList(list) {
  	while (list.length > 0)
  	{
      list.remove(0);
    }
  }


  /**
   * Add a new element to a selection list
   */
  function addElementToList(list, value, label)
  {
    var option = document.createElement("option");
    option.value = value;
    var labelNode = document.createTextNode(label);
    option.appendChild(labelNode   );
    list.appendChild(option);
  }

  // execute immediately after loading this piece of JavaScript
  // create a new PostLoadResource object for the dept.xml document with department data
  var deptPLR = addPostLoadResource(null, 'dept.xml', false, 'POSTLOAD_EMPDEPT_LOADER', deptProcessor);
  // kick it off to get the Departments asap
  postLoadSingleResource(deptPLR);
  // find the dept element (a select) and add an onChange event handler: the function loadEmployees
  document.getElementById("dept").onchange=loadEmployees;